
plugins.menu.detectads = function(file) {
   window.location = '/plugin/detectads/web/?file=' + file;
};

plugins.dmenu.detectads = function(dir, iconset, results, el) {
   if ($(el).attr('autonodetectads') == '1') {
         flagdir(dir, 'autonodetectads', iconset, results, el);
   }
   flagdir(dir, 'autodetectads', iconset, results, el);
};

plugins.dmenu.editdetectads = function(dir, iconset, results, el) {
   var edir = encodeURIComponent(dir);
   cf = dir + '/.autodetectads';
   curloc = window.location;
   $(results).slideDown().load('/plugin/detectads/editprep.jim',
                              {file: cf}, function() {
     window.location = '/edit/edit.jim' +
       '?file=' + encodeURIComponent(cf) +
       '&backdesc=Back to media browser' +
       '&backlink=' + encodeURIComponent(curloc);
   }).delay(300).slideUp();
};

plugins.dmenu.nodetectads = function(dir, iconset, results, el) {
   if ($(el).attr('autodetectads') == '1') {
         flagdir(dir, 'autodetectads', iconset, results, el);
   }
   flagdir(dir, 'autonodetectads', iconset, results, el);
};


plugins.dmenu_prepare.detectads = function(el, menu) {
   fixdmenu(el, menu, 'autodetectads', '#detectads', 'Auto DetectAds', 0);
};

plugins.dmenu_prepare.editdetectads = function(el, menu) {
   if ($(el).attr('autodetectads') == '1') {
         $(menu).enableContextMenuItems('#editdetectads');
   }  else {
         $(menu).disableContextMenuItems('#editdetectads');
   }
};

plugins.dmenu_prepare.nodetectads = function(el, menu) {
   fixdmenu(el, menu, 'autonodetectads', '#nodetectads', 'No DetectAds', 0);
};
